/* ブロックのデフォルトの配置マージンを削除 */
.wp-block {
	margin-bottom : 4px;
	padding : 0.5em;
}
.block-editor-block-list__block {
	margin-top : 0;
	margin-bottom : 0;
}
.editor-styles-wrapper p {
	margin-top : 0 !important;
	margin-bottom : 1.25em !important;
}
.wp-block.block-list-appender {
	padding : 0;
	border : none;
}
.block-editor-block-list__block
	.block-list-appender
	.block-editor-default-block-appender {
	margin : 0;
	background-color : papayawhip;
}
.block-editor-default-block-appender
	textarea.block-editor-default-block-appender__content {
	margin-top : 0;
	margin-bottom : 0;
}

/* ブロックの入力エリアを強調表示する */
.wp-block {
	border : 1px dashed grey;
}
.block-editor-rich-text__editable {
	position : relative;
}
.block-editor-rich-text__editable::before {
	display : inline-block;
	z-index : 24;
	position : absolute;
	top : 0;
	left : 0;
	width : 100%;
	min-width : 1em;
	height : 100%;
	min-height : 1em;
	content : "";
	pointer-events : none;
	border : 1px dashed cornflowerblue;
}

.wp-block-group__inner-container {
	position : relative;
}
.wp-block-group__inner-container::before {
	position : absolute;
	top : 0;
	left : 0;
	width : 100%;
	min-width : 1em;
	height : 100%;
	min-height : 1em;
	content : "";
	pointer-events : none;
	border : 1px dashed magenta;
}

/* デフォルトのブロックエディタcssの独自スタイルに対しての弊害を調整 */
.rich-text:focus *[data-rich-text-format-boundary] {
	color : #000000;
	border : 1px dotted #999999;
	background-color : #f3f3f3 !important;
}

/*  */
@import url(https://use.fontawesome.com/releases/v5.3.1/css/all.css);

.wp-block-custom-block-h1 {
	font-size : 3em;
	margin-bottom : 1em;
}
.wp-block-custom-block-h2 {
	font-size : 1.8em;
	line-height : 1.45;
	margin-bottom : 1em;
	padding : 0.8em 1em;
	border-radius : 2px;
	background-color : #f5f6f7;
}
.wp-block-custom-block-h3 {
	font-size : 1.5em;
	font-size : 22px;
	line-height : 1.45;
	margin-bottom : 1em;
	padding : 0.8em 1em;
	border-top : 1px solid #dddddd;
	border-right : 1px solid #dddddd;
	border-bottom : 1px solid #dddddd;
	border-left : 7px solid #888888;
}
.wp-block-custom-block-h4 {
	font-size : 1.25em;
	line-height : 1.45;
	margin-bottom : 1em;
	padding : 0.8em 0.25em;
	border-top : 2px solid #dddddd;
	border-bottom : 2px solid #dddddd;
}
.wp-block-custom-block-h5 {
	font-size : 1em;
	line-height : 1.45;
	margin-bottom : 1em;
	padding : 0.8em 0.25em;
	border-bottom : 2px solid #dddddd;
}
.wp-block-custom-block-h6 {
	font-size : 0.75em;
	margin-bottom : 1em;
}

/* content-box */
.wp-block-custom-block-content-box > *:last-child {
	margin-bottom : 0 !important;
}
.wp-block-custom-block-content-box.is-style-inner {
	margin-bottom : 32px;
}
.wp-block-custom-block-content-box.is-style-section {
	margin-bottom : 52px;
}

/* icon-box */
.wp-block-custom-block-icon-box {
	display : block;
	position : relative;
	position : relative;
	margin-bottom : 32px;
	padding : 1.5em 1.5em 1.5em 4em;
	border : 1px solid #dddddd;
	border-radius : 4px;
	background : #f3fafe;
}
.wp-block-custom-block-icon-box::before {
	position : absolute;
	top : 50%;
	left : 10px;
	font-family : "Font Awesome 5 Free";
	font-size : 2em;
	font-weight : 900;
	line-height : 1;
	margin-top : -0.5em;
	padding-right : 0.15em;
	content : "\f05a";
	text-align : center;
	color : #777777;
	border-right : 1px solid #777777;
}
.wp-block-custom-block-icon-box > *:last-child {
	margin-bottom : 0 !important;
}
.wp-block-custom-block-icon-box.is-style-information {
	border : 1px solid #dddddd;
	background : #f3fafe;
}
.wp-block-custom-block-icon-box.is-style-information::before {
	content : "\f05a";
	color : #87cefa;
	border-right : 1px solid #bde4fc;
}
.wp-block-custom-block-icon-box.is-style-alert {
	border : 1px solid #f6b9b9;
	background : #fdf2f2;
}
.wp-block-custom-block-icon-box.is-style-alert::before {
	content : "\f06a";
	color : #f3aca9;
	border-right : 1px solid #f6b9b9;
}
.wp-block-custom-block-icon-box.is-style-note {
	border : 1px solid #8dd7c1;
	background : #ebf8f4;
}
.wp-block-custom-block-icon-box.is-style-note::before {
	content : "\f303";
	color : #7ad0b6;
	border-right : 1px solid #8dd7c1;
}

/* tag-box */
.wp-block-custom-block-tag-box {
	position : relative;
	box-sizing : border-box;
	margin-top : 21px;
	margin-bottom : 32px;
	padding : 1.5em;
	border : 3px solid #cccccc;
	border-radius : 4px;
}
.wp-block-custom-block-tag-box::before {
	position : absolute;
	top : -24px;
	left : -3px;
	font-size : 12px;
	font-weight : bold;
	line-height : 1;
	padding : 0.5em 1.2em 0.5em 2.5em;
	content : "*****";
	color : #000000;
	border-radius : 8px 8px 0 0;
	background-color : #cccccc;
}
.wp-block-custom-block-tag-box > *:last-child {
	margin-bottom : 0 !important;
}
.wp-block-custom-block-tag-box::after {
	display : inline-block;
	position : absolute;
	top : -17px;
	left : 10px;
	font-family : "Font Awesome 5 Free";
	font-size : 12px;
	font-weight : 900;
	line-height : 1;
	content : "\f118";
	color : #000000;
}
.wp-block-custom-block-tag-box.is-style-point-yellow {
	border : 3px solid #ffd900;
}
.wp-block-custom-block-tag-box.is-style-point-yellow::before {
	content : "POINT";
	color : #ffffff;
	background-color : #ffd900;
}
.wp-block-custom-block-tag-box.is-style-point-yellow::after {
	content : "\f00c";
	color : #ffffff;
}
.wp-block-custom-block-tag-box.is-style-point-green {
	border : 3px solid #3eb370;
}
.wp-block-custom-block-tag-box.is-style-point-green::before {
	content : "POINT";
	color : #ffffff;
	background-color : #3eb370;
}
.wp-block-custom-block-tag-box.is-style-point-green::after {
	content : "\f00c";
	color : #ffffff;
}
.wp-block-custom-block-tag-box.is-style-point-red {
	border : 3px solid #e60033;
}
.wp-block-custom-block-tag-box.is-style-point-red::before {
	content : "POINT";
	color : #ffffff;
	background-color : #e60033;
}
.wp-block-custom-block-tag-box.is-style-point-red::after {
	content : "\f00c";
	color : #ffffff;
}

/* outborder-box */
.wp-block-custom-block-outborder-box {
	margin-bottom : 32px;
	padding : 1.5em;
	border : 3px solid #cccccc;
	border-radius : 4px;
}
.wp-block-custom-block-outborder-box > *:last-child {
	margin-bottom : 0 !important;
}
.wp-block-custom-block-outborder-box.is-style-black {
	color : #000000;
	border : 3px solid #000000;
}
.wp-block-custom-block-outborder-box.is-style-blue {
	color : #0095d9;
	border : 3px solid #0095d9;
}
.wp-block-custom-block-outborder-box.is-style-grey {
	color : #949495;
	border : 3px solid #949495;
}
.wp-block-custom-block-outborder-box.is-style-green {
	color : #3eb370;
	border : 3px solid #3eb370;
}
.wp-block-custom-block-outborder-box.is-style-red {
	color : #e60033;
	border : 3px solid #e60033;
}
.wp-block-custom-block-outborder-box.is-style-yellow {
	color : #a57e00;
	border : 3px solid #ffd900;
}

/* quote-box */
.wp-block-custom-block-quote-box {
	position : relative;
	margin-bottom : 32px;
	padding : 4em;
	border : 1px solid #dddddd;
	border-radius : 4px;
	background-color : #f3f3f3;
}
.wp-block-custom-block-quote-box::before {
	position : absolute;
	top : 0.75em;
	left : 1em;
	font-family : "Font Awesome 5 Free";
	font-size : 1.4em;
	font-weight : 900;
	content : "\f10d";
	color : #aaaaaa;
}
.wp-block-custom-block-quote-box::after {
	position : absolute;
	right : 1em;
	bottom : 0.75em;
	font-family : "Font Awesome 5 Free";
	font-size : 1.4em;
	font-weight : 900;
	content : "\f10e";
	color : #aaaaaa;
}
.wp-block-custom-block-quote-box > *:last-child {
	margin-bottom : 0 !important;
}

/* link-button */
.wp-block-custom-block-link-button {
	display : inline-block;
}
.wp-block-custom-block-link-button a {
	display : inline-block;
	position : relative;
	position : relative;
	font-weight : bold;
	padding : 1em 5em;
	color : #000000;
	border-radius : 2em;
	background-color : #cccccc;
}
.wp-block-custom-block-link-button a::after {
	position : absolute;
	top : 50%;
	right : 1em;
	font-family : "Font Awesome 5 Free";
	font-size : 20px;
	font-weight : 900;
	content : "\f105";
	transform : translateY(-50%);
	color : #000000;
}
.wp-block-custom-block-link-button.is-style-black a {
	color : #ffffff;
	background-color : #000000;
}
.wp-block-custom-block-link-button.is-style-black a::after {
	color : #ffffff;
}
.wp-block-custom-block-link-button.is-style-red a {
	color : #ffffff;
	background-color : #e60033;
}
.wp-block-custom-block-link-button.is-style-red a::after {
	color : #ffffff;
}
.wp-block-custom-block-link-button.is-style-blue a {
	color : #ffffff;
	background-color : #0095d9;
}
.wp-block-custom-block-link-button.is-style-blue a::after {
	color : #ffffff;
}
.wp-block-custom-block-link-button.is-style-green a {
	color : #ffffff;
	background-color : #3eb370;
}
.wp-block-custom-block-link-button.is-style-green a::after {
	color : #ffffff;
}
.wp-block-custom-block-link-button.is-style-bluegreen a {
	color : #ffffff;
	background-color : #00a3af;
}
.wp-block-custom-block-link-button.is-style-bluegreen a::after {
	color : #ffffff;
}
.wp-block-custom-block-link-button.is-style-grey a {
	color : #ffffff;
	background-color : #949495;
}
.wp-block-custom-block-link-button.is-style-grey a::after {
	color : #ffffff;
}

/* textBg */

.wp-block-custom-block-text-bg {
	display : inline-block;
	font-weight : bold;
	margin-right : 0.4em;
	padding : 0.4em 0.75em;
	color : #ffffff;
	border-radius : 4px;
	background-color : #dddddd;
}
.wp-block-custom-block-text-bg.is-style-black {
	color : #ffffff;
	background-color : #000000;
}
.wp-block-custom-block-text-bg.is-style-grey {
	color : #000000;
	background-color : #dddddd;
}
.wp-block-custom-block-text-bg.is-style-red {
	color : #ffffff;
	background-color : #f84d4d;
}
.wp-block-custom-block-text-bg.is-style-blue {
	color : #ffffff;
	background-color : #318af0;
}
.wp-block-custom-block-text-bg.is-style-green {
	color : #ffffff;
	background-color : #3eb370;
}
.wp-block-custom-block-text-bg.is-style-orange {
	color : #ffffff;
	background-color : #f39800;
}

/* color-box */
.wp-block-custom-block-color-box {
	margin-bottom : 32px;
	padding : 1.5em;
	border-left : 4px solid #cccccc;
	border-radius : 4px;
	background-color : #ffffff;
}
.wp-block-custom-block-color-box > *:last-child {
	margin-bottom : 0 !important;
}
.wp-block-custom-block-color-box.is-style-black {
	color : #ffffff;
	border-left : 4px solid #000000;
	background-color : #777777;
}
.wp-block-custom-block-color-box.is-style-grey {
	color : #333333;
	border-left : 4px solid #dddddd;
	background-color : #f3f3f3;
}
.wp-block-custom-block-color-box.is-style-blue {
	color : #0066cc;
	border-left : 4px solid #0066cc;
	background-color : #e5f2ff;
}
.wp-block-custom-block-color-box.is-style-red {
	color : #d32828;
	border-left : 4px solid #f84d4d;
	background-color : #faefef;
}
.wp-block-custom-block-color-box.is-style-green {
	color : #18743f;
	border-left : 4px solid #3eb370;
	background-color : #f0faf4;
}
.wp-block-custom-block-color-box.is-style-orange {
	color : #c57d00;
	border-left : 4px solid #ffa103;
	background-color : #ffeac7;
}

/* img-box */
.wp-block-custom-block-img-box {
	margin-bottom : 32px;
}
.wp-block-custom-block-img-box.is-style-inline {
	display : inline;
}
.wp-block-custom-block-img-box.is-style-wide-res img {
	width : 100%;
	max-width : 100%;
}
.wp-block-custom-block-img-box.is-style-org-left-res {
	text-align : left;
}
.wp-block-custom-block-img-box.is-style-org-left-res img {
	width : auto;
	max-width : 100%;
	text-align : left;
}
.wp-block-custom-block-img-box.is-style-org-center-res {
	text-align : center;
}
.wp-block-custom-block-img-box.is-style-org-center-res img {
	width : auto;
	max-width : 100%;
}
.wp-block-custom-block-img-box.is-style-org-right-res {
	text-align : right;
}
.wp-block-custom-block-img-box.is-style-org-right-res img {
	width : auto;
	max-width : 100%;
}
